# gsb2021

Environnement et playbooks ansible pour le projet GSB 2021

## Quickstart
prérequis : une machine Debian buster


## Les machines
  * s-adm
  * s-infra
  * r-int
  * r-ext
  * s-proxy


## Les playbooks


## Installation

On utilisera l'image de machine virtuelle suivante : 
  * **debian-buster-gsb-2021b.ova** (2021-03-31)
    * Bebian Buster 10.9 - 2 cartes - 1 Go - stockage 20 Go


### Machine s-adm
  - créer la machine virtuelle **s-adm** en important l'image ova décrite plus haut 
  - renommer la machine puis redémarrer
  - taper : 
``
    mkdir -p tools/ansible ; cd tools/ansible
    git clone https://gitea.lyc-lecastel.fr/gadmin/gsb2021.git
    cd gsb2021/pre
    bash inst-depl
    cd /var/www/html/gsbstore
    bash getall-latest
    cd /root/tools/ansible/gsb021
    bash gsbboot
```
  

### Pour chaque machine

  - importer la machine à partir du fichier **.ova**
  - définir les cartes réseau en accord avec le plan d'adressage et le schéma
  - donner le nom adapté (avec sed -i …)
  - redémarrer
  - mettre à jour les paquets : apt update && apt upgrade
  - cloner le dépot : https://gitea.lyc-lecastel.fr/gadmin/gsb2021.git
  

   curl depl/gsbboot|bash
